Bug 2187528 - CVE-2023-28856 redis: Insufficient validation of HINCRBYFLOAT command [fedora-37]
Summary: CVE-2023-28856 redis: Insufficient validation of HINCRBYFLOAT command [fedora...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: redis
Version: 37
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Nathan Scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2023-28856
TreeView+ depends on / blocked
 
Reported: 2023-04-17 20:02 UTC by Pedro Sampaio
Modified: 2023-04-27 01:24 UTC (History)
5 users (show)

Fixed In Version: redis-7.0.11-1.fc37 redis-7.0.11-1.fc38
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-04-27 00:35:56 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Pedro Sampaio 2023-04-17 20:02:24 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2187525

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Pedro Sampaio 2023-04-17 20:02:26 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2187525,2187528

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2023-04-18 06:29:09 UTC
FEDORA-2023-e4e3393396 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-e4e3393396

Comment 3 Fedora Update System 2023-04-18 06:29:11 UTC
FEDORA-2023-5b6510a584 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-5b6510a584

Comment 4 Fedora Update System 2023-04-19 01:38:09 UTC
FEDORA-2023-e4e3393396 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-e4e3393396`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-e4e3393396

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2023-04-19 01:56:14 UTC
FEDORA-2023-5b6510a584 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-5b6510a584`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-5b6510a584

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-04-27 00:35:56 UTC
FEDORA-2023-5b6510a584 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2023-04-27 01:24:35 UTC
FEDORA-2023-e4e3393396 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.